<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Action extends CI_Controller {

	function __construct() 
	{
        parent::__construct();
		$this->load->model('User_model','user');
    }
	
	public function forgotpassword()
	{
		if($this->input->get('uid'))
		{
			$this->data['user_id'] = base64_decode($this->input->get('uid'));
			$this->data['user_info'] = $this->user->GetUserData($this->data['user_id'],'id');
			// print_r($this->data['user_info']->reset_password_link); die;
			if($this->data['user_info']->reset_password_link == 1)
			{
				$this->data['valid'] = 1;
				$this->data['msg'] = "";
			}
			else
			{
				$this->data['valid'] = 0;
				$this->data['msg'] = 'Désolé ! Le lien a expiré. Veuillez renvoyer la demande de mise à jour du mot de passe. ';
			}
		}
		else
		{
			$this->data['valid'] = 0;
			$this->data['msg'] = "Désolé ! Nous ne pouvons pas accéder à la page demandée.";
		}
		$this->load->view('forget-password',$this->data);
	}
	
	public function emailverification()
	{
		if($this->input->get('uid'))
		{
			$this->data['base_url'] = BASE_URL();
			$this->data['user_id'] = base64_decode($this->input->get('uid'));
			$this->data['user_info'] = $this->user->GetUserData($this->data['user_id'],'id');
			
			if($this->data['user_info']){
				if($this->data['user_info']->is_email_verify == 1){
					header("Location: https://curzenncloud.fr/diaspora_web"); 
					exit();
				}else{
					$res = $this->user->UserStatuschange($this->data['user_id'],'is_email_verify');
					$this->UpdateRandomPassword($this->data['user_id'],$this->data['user_info']->email);
					if($res){
						$this->data['valid'] = 1;
						// $this->data['msg'] = 'Thank you ! Your email verification has been completed.';
						$this->data['msg'] = 'Merci ! La vérification de votre adresse e-mail a été effectuée.';
					}else{
						$this->data['valid'] = 0;
						$this->data['msg'] = 'Sorry ! We are unable to change email verification info.';
					}
				}
			}else{
				$this->data['valid'] = 0;
				$this->data['msg'] = 'Sorry ! We are unable to access requested page.';
			}
		}
		else
		{
			$this->data['valid'] = 0;
		}
		$this->load->view('email-verification',$this->data);
	}
	
	public function update_password()
	{
		if($this->input->post())
		{
			$user_id = $this->input->post('user_id');
			$password = $this->input->post('password');
			
			// print_r($this->input->post()); die;
			$res_0 = $this->user->SetPassword($user_id,$password);
			if($res_0){
				$this->user->ResetPasswordStatus($user_id,0);
				echo json_encode(array('response' => 1, 'msg' => 'Mot de passe mis à jour avec succès.'));
				exit;
			}else{
				echo json_encode(array('response' => 0, 'msg' => 'La mise à jour du mot de passe a échoué.'));
				exit;
			}
		}
			
	}

	public function UpdateRandomPassword($user_id,$email)
	{
		$password = mt_rand(100000, 999999);
		$res_0 = $this->user->SetPassword($user_id,$password);
		if($res_0){
			$this->load->library('My_PHPMailer');
					
			$body = '<head></head>';
			$body .= '<h3>Votre mot de passe Diaspora Interaction : </h3>';
			$body .= '<br /><br />';
			$body .= '<b>'.$password.'</b>';
			$body .= '</body></html>';
			
			$mail = new PHPMailer();
			$mail->IsSMTP();
			$mail->SMTPDebug = 1;
			$mail->SMTPAuth = true;
			$mail->SMTPSecure = 'ssl';
			$mail->Host = "mail.curzenncloud.fr";
			$mail->Port = 465; // or 587
			$mail->IsHTML(true);
			$mail->Username = "smtp.weli@curzenncloud.fr";
			$mail->Password = "N)kGea1KNxan";
			$mail->SetFrom('smtp.weli@curzenncloud.fr');
			$mail->Subject = "Weli - Mot de passe";
			$mail->Body = $body;
			$mail->AddAddress($email);
			$mail->Send();
		}
	}
	
	
	
	
	
	
	
}
