<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {

	function __construct() {
        parent::__construct();
		$this->load->model('Webadmin_model','wa_admin');
		if(!$this->session->userdata('is_logged_in')){
			redirect(base_url().'webadmin', 'refresh');
		}
    }
	
	public function index()
	{	
		// $this->data['dashboard_counter'] = $this->wa_admin->GetDashboardCounts();
		$this->data['dashboard_counter'] = '';
		
		$this->load->view('webadmin/header',$this->data);
		$this->load->view('webadmin/sidebar',$this->data);
		$this->load->view('webadmin/dashboard',$this->data);
		$this->load->view('webadmin/footer',$this->data);
	}
	
	public function signout()
	{		
		$this->session->unset_userdata('admin_id');
		$this->session->unset_userdata('admin_name');
		$this->session->unset_userdata('admin_email_id');
		$this->session->unset_userdata('is_logged_in');
		echo json_encode(array('response'=> 1, 'msg' => $this->lang->line('You are successfully logged out !'))); exit;
	}
	
	public function changepassword()
	{
		if($this->input->post()){
			
			$pass_1 = $this->input->post('pass_1');
			$pass_2 = $this->input->post('pass_2');
			
			$res1 = $this->wa_admin->GetPassword($this->session->userdata('admin_id'));
			
			if(strcmp($pass_1,$res1->password) == 0){
				$res2 = $this->wa_admin->UpdatePassword($this->session->userdata('admin_id'),$pass_2);
				if($res2){
					echo json_encode(array('response'=> 1, 'msg' => $this->lang->line('Password updatetd successfully.'))); exit;
				}else{
					echo json_encode(array('response'=> 0, 'msg' => $this->lang->line('sorry_unable'))); exit;
				}
			}else{
				echo json_encode(array('response'=> 0, 'msg' => $this->lang->line('Invalid old password !'))); exit;
			}
			
			
		}else{
	
			$this->load->view('webadmin/header');
			$this->load->view('webadmin/sidebar');
			$this->load->view('webadmin/change-password');
			$this->load->view('webadmin/footer');
			
		}
	}
	
	public function set_language()
	{
		$lang_val = $this->input->post('lang_val');
		$this->session->set_userdata('sess_lang',$lang_val);
		echo json_encode(array('response'=> 1, 'msg' => $this->lang->line('Language changed.'))); exit;
	}
	
	
	
	
	
	
	
	
	
}
