<?php
ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');

class User_management extends CI_Controller {

	function __construct() 
	{
        parent::__construct();
		$this->load->model('User_model','wa_user');
		$this->data['UserModObj'] = $this->wa_user;
		if(!$this->session->userdata('is_logged_in')){
			redirect(base_url().'webadmin', 'refresh');
		}
    }
	
	public function index()
	{
		redirect(base_url().'webadmin/dashboard', 'refresh');
	}
	
	public function all()
	{		
		$this->data['userinfo'] = $this->wa_user->GetAllUsers();
				
		$this->load->view('webadmin/header',$this->data);
		$this->load->view('webadmin/sidebar',$this->data);
		$this->load->view('webadmin/users',$this->data);
		$this->load->view('webadmin/footer',$this->data);
	}
	
	public function status_change()
	{
		$user_id = $this->input->post('user_id');
		$status = $this->input->post('ustatus');
		
		$res = $this->wa_user->changeUserStatus($user_id,$status);
		if($res){
			echo json_encode(array('response'=>1,'msg'=>$this->lang->line('Status changed successfully !')));
		}else{
			echo json_encode(array('response'=>0,'msg'=>$this->lang->line('Status change error !')));
		}
	}
	
	public function advance_filter()
	{
		$by_name = $this->input->post('by_name');
		$by_postal_code = $this->input->post('by_postal_code');
		$by_city = $this->input->post('by_city');
		$by_email = $this->input->post('by_email');
		$by_phone = $this->input->post('by_phone');
		$by_address = $this->input->post('by_address');
		$by_date_range = $this->input->post('by_date_range');   // seperated by ' - '
		
		// print_r($by_date_range); die;
		
		$filtered_users = $this->wa_user->GetFilteredUsers($by_name, $by_postal_code, $by_city, $by_email, $by_phone, $by_address, $by_date_range);
		
		$this->data['userinfo'] = $filtered_users;
		
		$users_list = $this->load->view('webadmin/user-option',$this->data,true);
		
		echo json_encode(array('response'=>1,'users_list'=>$users_list));
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
}
