<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Safe System</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
 
	<!-- Bootstrap 3.3.7 -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/bootstrap/dist/css/bootstrap.min.css">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/font-awesome/css/font-awesome.min.css">
	<!-- Ionicons -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/Ionicons/css/ionicons.min.css">
	<!-- Theme style -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/css/AdminLTE.min.css">
	<!-- AdminLTE Skins. Choose a skin from the css/skins
	   folder instead of downloading all of them to reduce the load. -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/css/skins/_all-skins.min.css">
	<!-- Morris chart -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/morris.js/morris.css">
	<!-- jvectormap -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/jvectormap/jquery-jvectormap.css">
	<!-- Date Picker -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css">
	<!-- Daterange picker -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/bootstrap-daterangepicker/daterangepicker.css">
	<!-- bootstrap wysihtml5 - text editor -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
	<!-- Google Font -->
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
	<!-- DataTables -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/datatables.net-bs/css/dataTables.bootstrap.min.css">
	<!-- Select2 -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/select2/dist/css/select2.min.css">
	<!-- iCheck -->
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/iCheck/all.css">
  
	<link rel="stylesheet" href="<?php echo base_url();?>assets/backend/css/custom.css">

	<!-- jQuery 3 -->
	<script src="<?php echo base_url();?>assets/backend/plugins/jquery/dist/jquery.min.js"></script>
	<!-- jQuery UI 1.11.4 -->
	<script src="<?php echo base_url();?>assets/backend/plugins/jquery-ui/jquery-ui.min.js"></script>
	<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
	<script> $.widget.bridge('uibutton', $.ui.button); </script>
	<!-- Bootstrap 3.3.7 -->
	<script src="<?php echo base_url();?>assets/backend/plugins/bootstrap/dist/js/bootstrap.min.js"></script>
	
	<style>
		.lang-box {
			float: right;
			margin-right: 30px;
			margin-top: 8px;
		}
	</style>
	
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <header class="main-header">
    <!-- Logo -->
    <a href="<?php echo base_url('webadmin/dashboard'); ?>" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini"><b>S</b> S</span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg"><b>Safe</b> System</span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>

      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <img src="<?php echo base_url();?>assets/backend/img/user1-128x128.jpg" class="user-image" alt="User Image">
              <span class="hidden-xs">Safe System Admin</span>
            </a>
            <ul class="dropdown-menu" style="width: 100%;">
              <li style="border-bottom: 1px solid #efefef;padding: 5px;">
                <a href="<?php echo base_url('webadmin/dashboard/changepassword'); ?>">
					<?php echo $this->lang->line('Change Password'); ?>
				</a>
              </li>
			  <li style="padding: 5px;">
                <a href="javascript:void(0);" id="SignoutMe">
					<?php echo $this->lang->line('Sign out'); ?>
				</a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
	  	
	<div class="lang-box">
		<select class="form-control lang_box" id="lang_box" name="lang_box" style="width: 100%;">
		  <option selected="selected" disabled><?php echo $this->lang->line('select language'); ?></option>
			<option value="en" <?php echo ($this->session->userdata('sess_lang') == 'en') ? 'selected' : ''?>>
				English
			</option>
			<option value="fr" <?php echo ($this->session->userdata('sess_lang') == 'fr') ? 'selected' : ''?>>
				Français
			</option>
		</select>
	</div>

    </nav>
  </header>
  
  <input type="hidden" id="base_url" class="form-control" value="<?php echo base_url(); ?>">
  <input type="hidden" id="sess_lang" class="form-control" value="<?php echo $this->session->userdata('sess_lang'); ?>">

	<!--
	
	var sess_lang = $('#sess_lang').val();
	(sess_lang == 'en') ? 
		
	-->	