<table id="user-table" class="table table-bordered table-hover">
	<thead>
		<tr>
			<th><?php echo $this->lang->line('S.N.'); ?></th>
			<th><?php echo $this->lang->line('NAME'); ?></th>
			<th><?php echo $this->lang->line('PROFILE'); ?></th>
			<th><?php echo $this->lang->line('EMAIL'); ?></th>
			<th><?php echo $this->lang->line('PHONE NO.'); ?></th>
			<th><?php echo $this->lang->line('REG. DATE'); ?></th>
			<th><?php echo $this->lang->line('EMAIL STATUS'); ?></th>
			<th><?php echo $this->lang->line('ACCOUNT STATUS'); ?></th>
			<th><?php echo $this->lang->line('ACTION'); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php if($userinfo){ $b = 0; foreach($userinfo as $val){ ?>
		<tr>
			<td><?php echo $b+1;?></td>
			<td><?php echo $userinfo[$b]->first_name.' '.$userinfo[$b]->last_name;?></td>
			<td>
			<img src="<?php echo ($userinfo[$b]->profile_url != '') ? WELI_API_URL.$userinfo[$b]->profile_url : base_url('assets/avatar.png');?>" alt="" style="width: 50px;" />
			</td>
			<td><?php echo $userinfo[$b]->email;?></td>
			<td><?php echo $userinfo[$b]->phone_no;?></td>
			<td><?php echo date("d M Y", strtotime($userinfo[$b]->created));?></td>
			<td>
				<?php echo ($userinfo[$b]->is_email_verify == 0) ? '<span class="inactive-st">'.$this->lang->line('Inactive').'</span>' : '<span class="active-st">'.$this->lang->line('Active').'</span>'; ?>
			</td>
			<td>
				<?php echo ($userinfo[$b]->is_account_verify == 0) ? '<span class="inactive-st">'.$this->lang->line('Inactive').'</span>' : '<span class="active-st">'.$this->lang->line('Active').'</span>'; ?>
			</td>
			<td>
			<button type="button" class="btn btn-<?php echo ($userinfo[$b]->is_account_verify == 0) ? 'success' : 'danger';?> btn-sm EmailAccountStatus" 
				data-uid = "<?php echo $userinfo[$b]->id;?>" 
				data-remark = <?php echo ($userinfo[$b]->is_account_verify == 0) ? 1 : 0;?> 
			>
			
			<?php echo ($userinfo[$b]->is_account_verify == 0) ? 'Active' : 'Inactive';?>
				
			</button>
			</td>
		</tr>
		<?php $b++;}} ?>
	</tbody>
</table>
				  
<script>
$(function () {
	  
	$('#user-table').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false,
	  "scrollX": true
    });
	
});
</script>