<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Safe System Webadmin | Log in</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/backend/plugins/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/backend/css/AdminLTE.css">
  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <style>
	.error {
		color: #ff5a5a;
		
	}
	.has-feedback label~.form-control-feedback {
		top: 0px;
	}
	
	.e_msg{
		color: #fff;
		margin-top: 10px;
		background: #ff5a5a;
		padding: 5px;
		text-align: center;
		border-radius: 2px;
		font-weight: 600;
	}
	.s_msg{
		color: #fff;
		margin-top: 10px;
		background: #6fb36f;
		padding: 5px;
		text-align: center;
		border-radius: 2px;
		font-weight: 600;
	}
  </style>
  
</head>

<body class="hold-transition login-page">

 <input type="hidden" id="base_url" class="form-control" value="<?php echo base_url(); ?>">
 
<div class="login-box">
  <div class="login-logo" style="background: white;margin-bottom: 0;padding: 25px 25px 0px 25px;">
    <!--<b>WEB-ADMIN</b>-->
    <img src="<?php echo base_url('assets/logo.png');?>" alt="logo" width="100%">
  </div>
  <!-- /.login-logo -->
  <div class="login-box-body">
    <!--<p class="login-box-msg">Connectez-vous pour commencer votre session</p>-->

    <form name='wa_login_form' id='wa_login_form' method="post">
      <div class="form-group has-feedback">
        <input type="text" name="wa_email" id="wa_email" class="form-control" placeholder="Adresse électronique">
        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input type="password" name="wa_password" id="wa_password" class="form-control" placeholder="Mot de passe">
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-md-12">
          <button type="submit" class="btn btn-primary btn-block btn-flat sgin_bt_1">Se connecter</button>
        </div>
      </div>
    </form>

	<!--
    <div class="social-auth-links text-center">
      <p>- OR -</p>
      <a href="<?php echo base_url();?>"><- Go to website</a>
    </div>
	-->
    
  </div>
  <!-- /.login-box-body -->
</div>
<!-- /.login-box -->

<!-- jQuery 3 -->
<script src="<?php echo base_url();?>assets/backend/plugins/jquery/dist/jquery.min.js"></script>
<!-- Bootstrap 3.3.7 -->
<script src="<?php echo base_url();?>assets/backend/plugins/bootstrap/dist/js/bootstrap.min.js"></script>

<script src="<?php echo base_url();?>assets/backend/plugins/jquery-validator/jquery.validate.min.js"></script>
<script src="<?php echo base_url();?>assets/backend/plugins/jquery-validator/additional-methods.min.js"></script>

<!-- waitMe -->
<script src="<?php echo base_url();?>assets/backend/plugins/waitMe/waitMe.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo base_url();?>assets/backend/plugins/waitMe/waitMe.css">

<script src="<?php echo base_url();?>assets/backend/js/custom.js"></script>

<script>
  
</script>
</body>
</html>
